<html>
    <head>
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <style>
        body {
            background: rgb(200, 200, 180);
        }
                .content {
            max-width: 1250px;
            margin: auto;
            background: rgb(213, 214, 194);
            padding: 50px;
        }
        label {
            display: block;
            text-align: center;
            line-height: 150%;
            font-size: 30px;
        }
        .center-block {
            display: block;
            font-size: 15px;
            text-align: center;
            margin-right: auto;
            margin-left: auto;
        }
        button {
            display: block;
            margin-right: auto;
            margin-left: auto;
            font-size: 20px;
        }
        h1 {
            text-align: center
        }
        h2 {
            display: block;
            font-style: initial;
            color: red;
            text-align: center;
        }
        h4 {
            text-align: center;
        }
        </style>
            </head>
        <body>
    <div class="content">                                    
<form>
            <label for="location">Enter your location</label>
            <input class="center-block" type="text" name="location"/>
            <br>
            <button>Submit</button>
</form>

<br>
<h2> {{no_location}}</h2>
<h1> {{location}} </h1>
<h4> Weather State     : {{weather_state_name}} 
    {% if weather_state_logo %}
    <img src="{{weather_state_logo}}" style="width:30px;height:30px;" align="middle"> 
    {% endif%}
</h4>
<h4> Applicable Date       : {{applicable_date}}</h4>
<h4> Temp      : {{the_temp}} </h4>
<h4> Wind Speed      : {{wind_speed}} </h4>
<h4> Air Pressure      : {{air_pressure}} </h4>
<h4> Humidity      : {{humidity}} </h4>
<h4> Predictability : {{predictability}} </h4>
</div>
</body>
</html>